$(document).ready(function() {
	
	// Show selected sort a-z if on a mobile.
	if($(".select_a_to_z_mobile").length)
	{
		if($(".select_a_to_z_mobile option").css('display') != 'none')
		{
			var pathName = window.location.pathname;
			if(pathName !="")
			{
				$(".select_a_to_z_mobile option").each(function() {
				   
					var dataUrl = $(this).attr("data-url");
					if(pathName.indexOf(dataUrl) > -1) {
				        $(this).prop("selected", true);
				        return;
				    }
				});
			}
		}
	}
	
    // show searchToolsContainer
    $('.js-searchToolsContainer-show').click(function() {
  
        $('.searchToolsContainer-wrapper').addClass("showContainer");
        $('.searchToolsContainer').addClass("showContainer");
    });

    // close searchToolsContainer
    $('.js-searchToolsContainer-close').click(function() {
 	
        $('.searchToolsContainer-wrapper').removeClass("showContainer");
        $('.searchToolsContainer').removeClass("showContainer");
    });
    
    // search results page Sort By 
    $("body").on("click",".sortByLabel",function(){
    	var $this = $(this);
    	var e = $this.find("span.hidden-sm");
		if (e.hasClass("aip-icon-arrow-up4")){
			$(".sort-by-list").removeClass("pre-click-margin");
		}
    	if (e.is(":visible")) {
        	$(".sort-by-list").toggle();
    	}
    	e.toggleClass("aip-icon-arrow-down4 aip-icon-arrow-up4");
    	
    });
    
    //to use for other pages where links become select box
	$(".links-to-select--xs").change(function(){
		var curOption = $(this).val();
		if (curOption !== 0){
			window.location = curOption;
		}
	});
    
    // search results page facet work
    // show facets slide in
    
    $(".search-filter-slide").on("click",function(){
    	var $facetContainer = $(".search-facet-slide-container");
    	$facetContainer.animate({
    		left:"0px"
    	});
    	$(".heading-facet-mobile").addClass("facet-list-open");
    });
    
    // slide out facets
    $(".search-facet-mobile-container").on("click",".facet-list-open", function(){
    	var $facetContainer = $(".search-facet-slide-container");
    	$facetContainer.animate({
    		left:"-800px"
    	});
    	$(".heading-facet-mobile").removeClass("facet-list-open");
    });
    
    // slide out facets
    $(".search-facet-mobile-container").on("click",".facet-listed-view", function(){
    	var $facetContainer = $(".list-facet-by");
    	$facetContainer.animate({
    		left:"-800px"
    	},function(){
    		$facetContainer.hide();
    		$(".search-remove-filter").show();
    		$(".heading-facet-mobile").addClass("facet-list-open");
    		$(".heading-facet-mobile").removeClass("facet-listed-view")
        	$(".search-facet-mobile-container .facets h3").css({position:'relative'}).show().animate({
        		left:"0px"
        	});
        	$(".search-remove-filter").css({position:'relative'}).animate({
        		left:"0px"
        	});
    	});  	
    	
    });    

    
    // paginated between facet topics 
    $(".search-facet-mobile-container .facets h3").click(function(){
    	var facetHeading = $(".facets h3");
    	var facetList = $(".list-facet-by");
    	var $this = $(this);
    	var mobileView = $this.find("span.heading-filter-by");
    	var currentHeadingPosition = facetHeading.index($(this));
    	//console.log("currentHeadingPosition " + currentHeadingPosition);
    	var mobileFacetsHidden = mobileView.is(':hidden');
    	//console.log("mobileFacetsHidden" + mobileFacetsHidden);
    	
    	if (mobileFacetsHidden){
    		
    		//$(".search-facet-mobile-container .facets h3").css({position:'absolute'}).animate({left:'-800px'});
			$(".search-remove-filter").animate({left:'-800px'}, function(){
				$(".search-remove-filter").hide();
			});
    		facetHeading.animate({left:'-800px'},function(){
    			facetHeading.hide();
       			
		        			
		            		facetList.eq(currentHeadingPosition).toggleClass("hiddenFacetList");
		            		facetList.hide();
		            		facetList.eq(currentHeadingPosition).show();
		            		facetList.eq(currentHeadingPosition).animate({
		                		left:"0px"
		                	});
		        			
		        		
    		});
    		
    		$(".heading-facet-mobile").removeClass("facet-list-open");
    		$(".heading-facet-mobile").addClass("facet-listed-view");  		
    		
    	}
    });
    

    // get facet links to remove them
    if ($(".search-filter-slide").is(':visible')){

    	$(".search-remove-filter").each(function(){
    			var $this = $(this);
    		 	var removeFilterLink = $this.html();
    			$(".resultsnav").prepend(removeFilterLink);
    	});
    }
    
    // a-z filter option for smaller screens    
    $( ".select_a_to_z_mobile option" ).click(function() {
        var url = $(this).parent().find(':selected').data('url');
        //console.log("selected is =" + url );
        window.location.href = url;
    });

    $( ".select_a_to_z_mobile_alerts" ).change(function() {
        var url = $(this).parent().find(':selected').data('url');
        //console.log("selected is =" + url );
        window.location.href = url;
    });


    // when a toggle button is clicked
    $('.toggle-button').click(function() {
        // get what needs to be toggled
        var toggle = $(this).data('toggle');

        // if the toggle isn't already visible
        if (! $(toggle).hasClass('in')) {
            // hide any potential open items
            $('.collapse').removeClass('in');
            $('.toggle-button').removeClass('active');

            // show the requested item
            $(toggle).toggleClass('in');
            $(this).toggleClass('active');

            // all done
            return true;
        }

        // hide the toggled item
        $(toggle).removeClass('in');
        $('.toggle-button').removeClass('active');
    });

    $('.js-expand-button').click(function() {
        var toggle = $(this).data('toggle');

		// KLOC : changed this to look at the length value (0 if not found <=1 if found) as it was not working before.
        if ($(this).find('ul').length) {
			
            if (!$(toggle).hasClass('in')) 
			{
                //changes the plus / minus icon based on if it's up or down
                $(this).find('.js-dd-icon').removeClass('aip-icon-plus3');
                $(this).find('.js-dd-icon').addClass('aip-icon-minus3');

                // shows / hides the dropdown
                $(toggle).toggleClass('in');
                
                // stops the below executing if the if statement executed
                return true;
            }

            // hide the toggled item
            $(toggle).removeClass('in');
            $(this).find('.js-dd-icon').addClass('aip-icon-plus3');
            $(this).find('.js-dd-icon').removeClass('aip-icon-minus3');
        }
		else
		{
			// KLOC : The ul is not found, there are no li items so the ul has not been created.
			// So we should remove any icons + or - from these links as per AIP-614.
			$(this).find('.js-dd-icon').removeClass('aip-icon-plus3');
			$(this).find('.js-dd-icon').removeClass('aip-icon-minus3');	
		}	
    });
    
    
    // Content bespoke tabs   
    if ($(".aboutContainer").length > 0 ){
    	//console.log("aboutContainer is present - template is journal_tab.jsp");
    	
    	if($(".aip-left-side-linkset").length > 0) {
	    	var dropDownText = "<span class=\"aip-linked-content-dropdown-label hidden-sm hidden-md hidden-lg\">Sections <span class=\"pull-right aip-icon-arrow-down4\"></span></span>"
	    	var aboutContainer = $(".aboutContainer");
	    	var aboutNav = aboutContainer.find(".aip-left-side-linkset"); 
	    	var aboutContents = aboutContainer.find("#aip-linked-content-parts");
	    	var aboutNavWidth = $(".aip-left-side-linkset li:first").width() * $(".aip-left-side-linkset li").length;
    		
	    	if($(".aip-linkset_top-position").length > 0){
	    		aboutNav.css("width", aboutNavWidth+"px");
	    		aboutNav.wrap("<div class=\"aip-linked-content-navigation col-sm-12 col-md-12 \">");
	    		aboutNav.addClass("list-unstyled col-xs-12 col-sm-12 col-md-12");
	    		aboutNav.parent().prepend(dropDownText);
	    		aboutContents.addClass("col-xs-12 col-sm-12 col-md-12");
	    	} else {
		    	aboutNav.wrap("<div class=\"aip-linked-content-navigation col-sm-3 col-md-3\">");
		    	aboutNav.addClass("list-unstyled col-xs-12 col-sm-3 col-md-3");
		    	aboutNav.parent().prepend(dropDownText);
		    	aboutContents.addClass("col-xs-12 col-sm-9 col-md-9");
	    	}
    	}
    	
  /* */ 	// find each img and get width and set it to max-width, then set width to 100%
	    	// $(".aboutContainer #aip-linked-content-parts img, .aboutContainer img").each(function(){
	    		$(".aboutContainer img").each(function(){
		    		
	    			var $this = $(this);
	    			var attrW = $this.attr("width");
	    			var img = new Image();
	    			img.src = $this.attr('src');
// declared below in onload			var imgW = img.width;
	    			
					img.onload = function(){
						var imgW = img.width;
						
						$this.css({
					          "width": "100%", 
					          "max-width": + (attrW === undefined) ? imgW +"px" : (isNaN(attrW)) ? attrW : attrW + "px",
					          "margin-right":"15px"});
					}
	    			   		
		    }); 
/**/
    }
    	

	// PLACE IN fulltext js file once complete
    // Mathjax in full text to large for screen, wrap it in Bootstraps table-responsive classes
	if ($(".itemFullTextHtml .MathJax_Display").length > 0 ){
		$(".itemFullTextHtml .MathJax_Display").wrap("<div class=\"table-responsive\"><div class=\"table\"></div></div>");
	}
    
    // Mobile view Hamburger style tabs
    var tabHamIcon = {
    		init:function(){
    			$(".ham-icon").on('click',function(){
    					tabHamIcon.showTabs();
    					tabHamIcon.hideTabs();
    			});
/*    			$(".ham-tabs").on('click','.open-list li',function(){
    				alert("boom...");
					tabHamIcon.hideTabs();
    			});*/    			
    		},
    		showTabs:function(){
    			$(".tabset li").not('.active').toggle().parent().toggleClass("open-list");
    		},
    		hideTabs:function(){
    			// needs to hide tabs on pages that do ajax calls
    			
    			$(".ham-tabs .tabset.open-list li").on("click",function(){
    				//console.log($(this).attr("id"));
    				//console.log("clicked");
    				$(".tabset li").not('.active').css("display","none").parent().removeClass("open-list");
    				
    			});
    			//var amoutTabs = $(".tabset.open-list li").not('.active').length;
    			//console.log("amountTabs : " + amoutTabs);
    			
    			/*$(".tabset .open-list li").on("click",function(){
    				
    			});*/
    		}
    
    }
    tabHamIcon.init();
    
    // Browse Issues volume work  
    var volumeListMobile = {
    	init:function(){
    		this.createSliceArray();
    	},
    	createSliceArray:function(){
    	    // create volume array
    	    var browseArrayCopy = $("#ptolSectionsVolumeNav .issue-item");
    	    // loop through 5 at a time 
    		for (i=0,j=browseArrayCopy.length;i<j;i+=5){
    			temp = browseArrayCopy.slice(i,i+5);
    			var volChunk = "";	
    			
    				// loop through the chunk of 5 in the temp array 
    				for (a=0,b=temp.length;a<b;a++){
    					//console.log("a=" + a);
    					volChunk+= "<li class=\"issue-item\">" + $(temp[a]).html() + "</li>";
    				}
    				
    			// first Array ul 
    			var firstArray = i===0 ? "volume-list-pagination-first" :"";
    			// hide newer link if first array
    			var newer = i===0 ? "<span class=\"paginate-vol\"></span>" : "<span class=\"newer-vol-list paginate-vol\"><< Newer</span>";
    			// find out how many section have been created and get last loop 
    			var finalLoop = Math.floor((j / 5)) * 5;  // round it down to accommodate first loop 'i' starting at 0
    			// hide last older link if last array 
    			
    			// console.log("browseArrayCopy.length" + browseArrayCopy.length);
    			// console.log("finalLoop" + finalLoop);
    			var older = (i=== finalLoop || browseArrayCopy.length <= 5) ? "<span class=\"paginate-vol\"></span>" : "<span class=\"older-vol-list paginate-vol\">Older >></span>";
    			// append sliced Volume array back into volume section. (this is hidden at desktop view, and desktop view is then hidden at mobile view)
    			$("#ptolSectionsVolumeNav").append("<ul class=\"flat issue-list expandable volume-list-pagination " + firstArray + "\">"+ volChunk +"<li>" + newer + older + "</i></ul>");

    		}
    		
    		this.bindClick();    		
    	},
    	bindClick:function(){
    		// click to paginate through volume Array sections
    	    $(".paginate-vol").click(function(e){
    	     	var volList = $("ul.volume-list-pagination");
    	    	// get current position of ul, so we can get hold of next or previous ul, also set it to be based on starting at 0
    	    	var currentvolList = ($(this).closest("ul.volume-list-pagination").index() - 1); // set it to be based on starting at 0
    	    	
    	    	// Newer or Older clicked.
    	    	var paginationLink = $(this).index();
    	    	// 1 equals Older
    	    	if(paginationLink === 1) {
    	    		volList.eq(currentvolList).hide();
    	    		volList.eq(currentvolList+1).show();
    	    	}else{
    	    		//console.log(currentvolList);
    	    		volList.eq(currentvolList-1).show();
    	    		volList.eq(currentvolList).hide();
    	    	}
    	 	
    	    });
    	}
    }
    
    volumeListMobile.init();
});


$(function(){
    $(".sortByLabel, .facetContainer button").click(function(){
        if ($('.sort-by-list, #facetFilter').is(":visible"))
        {
            $('.sort-by-list, #facetFilter').fadeOut();
        } 
    }); 

    $(".facetContainer button").click(function(){
        if ($('#facetFilter').is(":hidden"))
        {
            $('#facetFilter').show();    
        }
    });
});


